diff options
author | Johan Wassberg <jocar@sunet.se> | 2024-02-19 12:49:35 +0100 |
---|---|---|
committer | Johan Wassberg <jocar@sunet.se> | 2024-02-19 12:49:35 +0100 |
commit | 17e72afec462f1b6e07ff0e720b220d559b4b7f1 (patch) | |
tree | 99d5c01cf3c4f9cf0fa5137f74daa042eae7ad39 | |
parent | 130cc76d126adbe056895690f3008a2af02bf0ac (diff) |
Use the same flow as metadata reposconf-2024-02-19-v01
-rw-r--r-- | Makefile | 7 |
1 files changed, 6 insertions, 1 deletions
@@ -1,6 +1,6 @@ MXML=$(shell find . -type f -name "*.xml") -tag: schematest +tag: commit ./scripts/bump-tag update: update-git @@ -13,3 +13,8 @@ test: schematest schematest: @fail=false ; for x in $(MXML); do test=`xmllint --xinclude --nowarning --noout --path schema --schema schema.xsd $$x 2>&1`; rc=$$?; echo $$test | sed 's/fails to validate/[1;31m&[0m/;s/validates/[1;32m&[0m/'; if [ $$rc -gt 0 ]; then fail=true ; fi; done ; if $$fail ; then exit 1 ; fi +commit: schematest + @git diff --color || true + @echo ; echo -n "Run 'git commit -av'? [Y/n/skip] " ; read x ; case $$x in "Y"|"y"|"") git commit -av ;; s|skip) ;; *) exit 1 ;; esac + @git status -u + @echo "Checking for not files not staged for yet commit" ; if git status --porcelain --ignored | awk '{print $$2}' | egrep "^Shibboleth-|^schema|^scripts" | sed 's/^/ /' | grep . ; then echo "There are files not staged for commit, aborting" ; exit 1 ; fi |